Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd
Class TaskStepChangeEvent

    java.lang.Object
      org.jprocessunit.ActionEvent
          org.jprocessunit.addon.jpd.TaskStepChangeEvent

All Implemented Interfaces:
  ProcessEvent

Direct Known Subclasses:
  CompleteTaskEvent

    public class TaskStepChangeEvent

extends ActionEvent

JProcessUnit ActionEvent class used to bring a WLI task to a completed state.

Author:
  Reza Shafii

Constructor Summary
`TaskStepChangeEvent(TargetTaskInfo taskEventInfo, java.lang.String newStep)` The action event is executed on the first task matches the selector.

Method Summary
`java.lang.String` | `getStringTaskUserProperty(java.lang.String propertyName)` Returns the String value of the given user property name for the target task of this event.
`TaskEventUtil` | `getTaskEventUtil()`
`org.apache.xmlbeans.XmlObject` | `getXMLTaskUserProperty(java.lang.String propertyName)` Returns the XML value of the given user property name for the target task of this event.
`void` | `performAction()` This method ensures that the task identified by task query of thie event has its state changed to completed.
`void` | `setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)` The wait event is satisfied as soon as a single task matches the query.
`void` | `setTaskUserProperty(java.lang.String propertyName, java.lang.String propertyValue)` Sets a user property of the task to which this instance is tied to the given String object content.
`void` | `setTaskUserProperty(java.lang.String propertyName, org.apache.xmlbeans.XmlObject propertyValue)` Sets a user property of the task to which this instance is tied to the given XML object content.

Methods inherited from class org.jprocessunit.ActionEvent
`assertEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskStepChangeEvent

    public TaskStepChangeEvent(TargetTaskInfo taskEventInfo,
                               java.lang.String newStep)

  The action event is executed on the first task matches the selector.

  Parameters:
    `taskEventInfo` - info identifying the target task for this event
    `newStep` - the step that the target task needs to be moved to

Method Detail

### setTaskQuery

    public void setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)

  The wait event is satisfied as soon as a single task matches the query.

  Parameters:
    `taskQuery` -

### getXMLTaskUserProperty

    public org.apache.xmlbeans.XmlObject getXMLTaskUserProperty(java.lang.String propertyName)

  Returns the XML value of the given user property name for the target task of this event.

  Parameters:
    `propertyName` -

### getStringTaskUserProperty

    public java.lang.String getStringTaskUserProperty(java.lang.String propertyName)

  Returns the String value of the given user property name for the target task of this event.

  Parameters:
    `propertyName` -

### setTaskUserProperty

    public void setTaskUserProperty(java.lang.String propertyName,
                                    org.apache.xmlbeans.XmlObject propertyValue)

  Sets a user property of the task to which this instance is tied to the given XML object content.

  Parameters:
    `propertyName` -
    `prpoertyValue` -

### setTaskUserProperty

    public void setTaskUserProperty(java.lang.String propertyName,
                                    java.lang.String propertyValue)

  Sets a user property of the task to which this instance is tied to the given String object content.

  Parameters:
    `propertyName` -
    `prpoertyValue` -

### performAction

    public void performAction()

  This method ensures that the task identified by task query of thie event has its state changed to completed.

  Specified by:
    `performAction` in class `ActionEvent`

### getTaskEventUtil

    public TaskEventUtil getTaskEventUtil()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API